Summary
Export Automation
Description
Export an Automation.
Route
GET /operations-manager/automations/:id/export
Roles
admin
engineering
apiread
viewer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Automation to export. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| document |
object |
The result of the export operation. |
Copied to Clipboard
{
"message": "Successfully created the requested item",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": null,
"_id": "9d34a73f6eb2a5d855952e91",
"gbac": {
"write": [
{
"provenance": "localAAA",
"name": "admins",
"description": "Description of a group"
},
{
"provenance": "localAAA",
"name": "designers",
"description": "Description of a group"
}
],
"read": [
{
"provenance": "localAAA",
"name": "designers",
"description": "Description of a group"
}
]
},
"componentName": "consequat cupidatat veniam ut",
"createdBy": "ut ea",
"created": "1980-06-30T21:32:14.105Z",
"lastUpdatedBy": "elit Excepteur cillum",
"lastUpdated": "1999-02-26T07:33:31.244Z",
"triggers": [
{
"name": "myCoolDocumentName",
"type": "manual",
"enabled": true,
"actionType": "automations",
"actionId": "66e0a71ee8eecbf175233885",
"formData": {
"deviceName": "ATL-123",
"action": "SYNC"
},
"_id": "bd1c68e82f76b027d6e79589",
"formId": null,
"description": "Some helpful information about the document",
"lastExecuted": null,
"migrationVersion": 54507739,
"createdBy": null,
"created": "2010-10-23T08:57:14.862Z",
"lastUpdatedBy": "ea",
"lastUpdated": "2010-05-13T10:52:21.27Z",
"formSchemaHash": "proident sint laboris dolore anim",
"legacyWrapper": true
},
{
"name": "myCoolDocumentName",
"type": "manual",
"enabled": false,
"actionType": "automations",
"actionId": "53a9e050e070fcd77196e820",
"formData": {
"deviceName": "ATL-123",
"action": "SYNC"
},
"_id": "c9312d2d0b6478b2c1038daa",
"formId": "myCoolDocumentName",
"description": "Some helpful information about the document",
"lastExecuted": null,
"migrationVersion": 94235599,
"createdBy": null,
"created": "2006-08-04T20:13:57.851Z",
"lastUpdatedBy": null,
"lastUpdated": "1981-09-03T12:22:07.942Z",
"formSchemaHash": null,
"legacyWrapper": false
}
]
}
}